# class RDoc::RI::Task

RDoc::RI::Task creates ri data in `./.rdoc` for your project.

It contains the following tasks:

ri

  Build ri data

clobber_ri

  Delete ri data files. This target is automatically added to the main clobber target.

reri

  Rebuild the ri data from scratch even if they are not out of date.

Simple example:

    require 'rdoc/ri/task'

    RDoc::RI::Task.new do |ri|
      ri.main = 'README.rdoc'
      ri.rdoc_files.include 'README.rdoc', 'lib   /*.rb'
    end

For further configuration details see RDoc::Task.

### Public Class Methods

new(name = DEFAULT_NAMES) { |self| ... } click to toggle source

Create an ri task with the given name. See RDoc::Task for documentation on setting names.

Calls superclass method RDoc::Task.new

    # File lib/rdoc/ri/task.rb, line 47
    def initialize name = DEFAULT_NAMES # :yield: self
      super
    end

### Public Instance Methods

defaults() click to toggle source

Sets default task values

Calls superclass method RDoc::Task#defaults

    # File lib/rdoc/ri/task.rb, line 58
    def defaults
      super

      @rdoc_dir = '.rdoc'
    end